Could not work Rated 1 out of 5 stars

1.68.2 could not work after Firefox 4.0b2pre 2010/6/30 nightly build

This review is for a previous version of the add-on (1.68.2). 

We have support in testing


https://lastpass.com/lppre.php